<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: RTL Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classuHTR__trigPD.html">uHTR_trigPD</a></li><li class="navelem"><a class="el" href="classuHTR__trigPD_1_1RTL.html">RTL</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">RTL Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classuHTR__trigPD_1_1RTL-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Functions"></a>
Functions</h2></td></tr>
 <tr class="memitem:ae3d81c78229cffd5badf2c61612e9d7b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae3d81c78229cffd5badf2c61612e9d7b"></a>
<b><b><span class="comment">bit_vector</span><span class="vhdlchar"> </span></b></b>&#160;</td><td class="memItemRight" valign="bottom"> <a class="el" href="classuHTR__trigPD_1_1RTL.html#ae3d81c78229cffd5badf2c61612e9d7b">conv_qpll_fbdiv_top</a><b> ( </b><b><span class="vhdlchar">qpllfbdiv_top: </span><span class="stringliteral">in </span><span class="vhdlchar">in integer</span></b><b> )&#160;</td><td class="memItemRight" valign="bottom"><b>[ impure ]</b></b></td></tr>
<tr class="memitem:adef111fdc3691bd5096abe2d67767f74"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adef111fdc3691bd5096abe2d67767f74"></a>
<b><b><span class="comment">bit</span><span class="vhdlchar"> </span></b></b>&#160;</td><td class="memItemRight" valign="bottom"> <a class="el" href="classuHTR__trigPD_1_1RTL.html#adef111fdc3691bd5096abe2d67767f74">conv_qpll_fbdiv_ratio</a><b> ( </b><b><span class="vhdlchar">qpllfbdiv_top: </span><span class="stringliteral">in </span><span class="vhdlchar">in integer</span></b><b> )&#160;</td><td class="memItemRight" valign="bottom"><b>[ impure ]</b></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Components"></a>
Components</h2></td></tr>
 <tr class="memitem:a1e713fd1e3d14a9360fb70a4a2a4d40f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1e713fd1e3d14a9360fb70a4a2a4d40f"></a>
<a class="el" href="classuHTR__trigPD_1_1RTL.html#a1e713fd1e3d14a9360fb70a4a2a4d40f">uHTR_trigPD_GT</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classuHTR__trigPD__GT.html">&lt;Entity uHTR_trigPD_GT&gt; </a></em></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Constants"></a>
Constants</h2></td></tr>
 <tr class="memitem:afda6a0f11598edea6b9e0762bf89aa7d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afda6a0f11598edea6b9e0762bf89aa7d"></a>
<a class="el" href="classuHTR__trigPD_1_1RTL.html#afda6a0f11598edea6b9e0762bf89aa7d">DLY</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">time</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar">ns</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a14cd7cfbc4285536b3a69b57b6f7cb5e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a14cd7cfbc4285536b3a69b57b6f7cb5e"></a>
<a class="el" href="classuHTR__trigPD_1_1RTL.html#a14cd7cfbc4285536b3a69b57b6f7cb5e">QPLL_FBDIV_IN</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">bit_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">9</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">conv_qpll_fbdiv_top</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">QPLL_FBDIV_TOP</span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a761a70d898e34f42d0af4608bfc32e98"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a761a70d898e34f42d0af4608bfc32e98"></a>
<a class="el" href="classuHTR__trigPD_1_1RTL.html#a761a70d898e34f42d0af4608bfc32e98">QPLL_FBDIV_RATIO</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">bit</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">conv_qpll_fbdiv_ratio</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">QPLL_FBDIV_TOP</span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:a9260d6490a33aa7691ac95c43aded32f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9260d6490a33aa7691ac95c43aded32f"></a>
<a class="el" href="classuHTR__trigPD_1_1RTL.html#a9260d6490a33aa7691ac95c43aded32f">tied_to_ground_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a52c56dabcff0fad83754e5c0d96a8ebc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a52c56dabcff0fad83754e5c0d96a8ebc"></a>
<a class="el" href="classuHTR__trigPD_1_1RTL.html#a52c56dabcff0fad83754e5c0d96a8ebc">tied_to_ground_vec_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">63</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7d6823f31f16792e4532eef39c8c4c03"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7d6823f31f16792e4532eef39c8c4c03"></a>
<a class="el" href="classuHTR__trigPD_1_1RTL.html#a7d6823f31f16792e4532eef39c8c4c03">tied_to_vcc_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3b146427594c7fde6503918a6bb52ea5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3b146427594c7fde6503918a6bb52ea5"></a>
<a class="el" href="classuHTR__trigPD_1_1RTL.html#a3b146427594c7fde6503918a6bb52ea5">gt0_qplloutclk_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6a1492d80272284ac5df065b70ad0b3d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6a1492d80272284ac5df065b70ad0b3d"></a>
<a class="el" href="classuHTR__trigPD_1_1RTL.html#a6a1492d80272284ac5df065b70ad0b3d">gt0_qplloutrefclk_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afe38f9fc28fe748f2db50b4916154fa8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afe38f9fc28fe748f2db50b4916154fa8"></a>
<a class="el" href="classuHTR__trigPD_1_1RTL.html#afe38f9fc28fe748f2db50b4916154fa8">gt0_mgtrefclktx_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0202f178dafaf8fb9e752c4ae2fc8a98"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0202f178dafaf8fb9e752c4ae2fc8a98"></a>
<a class="el" href="classuHTR__trigPD_1_1RTL.html#a0202f178dafaf8fb9e752c4ae2fc8a98">gt0_mgtrefclkrx_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afa09083234b270e73bb067df7adfa400"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afa09083234b270e73bb067df7adfa400"></a>
<a class="el" href="classuHTR__trigPD_1_1RTL.html#afa09083234b270e73bb067df7adfa400">gt0_qpllclk_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8e85bc1e7042ea46999ae94077c6ba4d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8e85bc1e7042ea46999ae94077c6ba4d"></a>
<a class="el" href="classuHTR__trigPD_1_1RTL.html#a8e85bc1e7042ea46999ae94077c6ba4d">gt0_qpllrefclk_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Attributes"></a>
Attributes</h2></td></tr>
 <tr class="memitem:a36a713d2c67b33497d0d5704952b16fb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a36a713d2c67b33497d0d5704952b16fb"></a>
<a class="el" href="classuHTR__trigPD_1_1RTL.html#a36a713d2c67b33497d0d5704952b16fb">CORE_GENERATION_INFO</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">string</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a02a36e60cf39a7e8c938dd5e4dec07e1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a02a36e60cf39a7e8c938dd5e4dec07e1"></a>
<a class="el" href="classuHTR__trigPD_1_1RTL.html#a02a36e60cf39a7e8c938dd5e4dec07e1">CORE_GENERATION_INFO</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">RTL</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="vhdlkeyword">architecture</span><span class="vhdlchar"> </span><span class="vhdlkeyword">is</span><span class="vhdlchar"> </span><span class="keyword">&quot; uHTR_trigPD , gtwizard_v2_7 , {protocol_file = Start_from_scratch} &quot;</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Instantiations"></a>
Instantiations</h2></td></tr>
 <tr class="memitem:a8ad3fd3f9eb839d5e6ec2be6bd47f338"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8ad3fd3f9eb839d5e6ec2be6bd47f338"></a>
<a class="el" href="classuHTR__trigPD_1_1RTL.html#a8ad3fd3f9eb839d5e6ec2be6bd47f338">gt0_uHTR_trigPD_i</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>uHTR_trigPD_GT</b>  <em><a class="el" href="classuHTR__trigPD__GT.html">&lt;Entity uHTR_trigPD_GT&gt;</a></em></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="uhtr__trigpd_8vhd_source.html#l00182">182</a> of file <a class="el" href="uhtr__trigpd_8vhd_source.html">uhtr_trigpd.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/work/dan/AMC13/amc13-fw/src/HCAL_trig/<a class="el" href="uhtr__trigpd_8vhd_source.html">uhtr_trigpd.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:45 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
